<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2024 Workiva-->
<!--r:91cb0f49-f811-493b-989c-f76c6482c743,g:7f29d403-08d5-48c9-ae1c-1c70453c9d79-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:label id="lab_tnl_DeductionForPriorYearFairValueOfAwardsForfeitedDuringTheYearMember_label_en-US" xlink:label="lab_tnl_DeductionForPriorYearFairValueOfAwardsForfeitedDuringTheYearMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Deduction for prior year fair value of awards forfeited during the year [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_DeductionForPriorYearFairValueOfAwardsForfeitedDuringTheYearMember" xlink:href="tnl-20240322.xsd#tnl_DeductionForPriorYearFairValueOfAwardsForfeitedDuringTheYearMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_tnl_DeductionForPriorYearFairValueOfAwardsForfeitedDuringTheYearMember" xlink:to="lab_tnl_DeductionForPriorYearFairValueOfAwardsForfeitedDuringTheYearMember" xlink:type="arc" order="1"/>
    <link:label id="lab_tnl_IncreaseForDividendsPaidAccruedDuringTheYearPriorToVestingDateMember_label_en-US" xlink:label="lab_tnl_IncreaseForDividendsPaidAccruedDuringTheYearPriorToVestingDateMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Increase for dividends paid (accrued) during the year prior to vesting date [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_IncreaseForDividendsPaidAccruedDuringTheYearPriorToVestingDateMember" xlink:href="tnl-20240322.xsd#tnl_IncreaseForDividendsPaidAccruedDuringTheYearPriorToVestingDateMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_tnl_IncreaseForDividendsPaidAccruedDuringTheYearPriorToVestingDateMember" xlink:to="lab_tnl_IncreaseForDividendsPaidAccruedDuringTheYearPriorToVestingDateMember" xlink:type="arc" order="1"/>
    <link:label id="lab_tnl_IncreaseForFairValueOfAwardsGrantedDuringYearThatThatVestedDuringYearMember_label_en-US" xlink:label="lab_tnl_IncreaseForFairValueOfAwardsGrantedDuringYearThatThatVestedDuringYearMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Increase for fair value of awards granted during year that that vested during year [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_IncreaseForFairValueOfAwardsGrantedDuringYearThatThatVestedDuringYearMember" xlink:href="tnl-20240322.xsd#tnl_IncreaseForFairValueOfAwardsGrantedDuringYearThatThatVestedDuringYearMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_tnl_IncreaseForFairValueOfAwardsGrantedDuringYearThatThatVestedDuringYearMember" xlink:to="lab_tnl_IncreaseForFairValueOfAwardsGrantedDuringYearThatThatVestedDuringYearMember" xlink:type="arc" order="1"/>
    <link:label id="lab_tnl_IncreasedeductionForChangeInFairValueFromPriorYearEndToCurrentYearEndOfAwardsGrantedInAnyPriorYearThatRemainedOutstandingAndUnvestedAsOfYearEndMember_label_en-US" xlink:label="lab_tnl_IncreasedeductionForChangeInFairValueFromPriorYearEndToCurrentYearEndOfAwardsGrantedInAnyPriorYearThatRemainedOutstandingAndUnvestedAsOfYearEndMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Increase/deduction for change in fair value from prior year-end to current year-end of awards granted in any prior year that remained outstanding and unvested as of year-end [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_IncreasedeductionForChangeInFairValueFromPriorYearEndToCurrentYearEndOfAwardsGrantedInAnyPriorYearThatRemainedOutstandingAndUnvestedAsOfYearEndMember" xlink:href="tnl-20240322.xsd#tnl_IncreasedeductionForChangeInFairValueFromPriorYearEndToCurrentYearEndOfAwardsGrantedInAnyPriorYearThatRemainedOutstandingAndUnvestedAsOfYearEndMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_tnl_IncreasedeductionForChangeInFairValueFromPriorYearEndToCurrentYearEndOfAwardsGrantedInAnyPriorYearThatRemainedOutstandingAndUnvestedAsOfYearEndMember" xlink:to="lab_tnl_IncreasedeductionForChangeInFairValueFromPriorYearEndToCurrentYearEndOfAwardsGrantedInAnyPriorYearThatRemainedOutstandingAndUnvestedAsOfYearEndMember" xlink:type="arc" order="1"/>
    <link:label id="lab_tnl_DeductionForAmountsReportedUnderTheStockAwardsAndOptionAwardsColumnsInTheSCTMember_label_en-US" xlink:label="lab_tnl_DeductionForAmountsReportedUnderTheStockAwardsAndOptionAwardsColumnsInTheSCTMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Deduction for amounts reported under the Stock Awards and Option Awards columns in the SCT [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_DeductionForAmountsReportedUnderTheStockAwardsAndOptionAwardsColumnsInTheSCTMember" xlink:href="tnl-20240322.xsd#tnl_DeductionForAmountsReportedUnderTheStockAwardsAndOptionAwardsColumnsInTheSCTMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_tnl_DeductionForAmountsReportedUnderTheStockAwardsAndOptionAwardsColumnsInTheSCTMember" xlink:to="lab_tnl_DeductionForAmountsReportedUnderTheStockAwardsAndOptionAwardsColumnsInTheSCTMember" xlink:type="arc" order="1"/>
    <link:label id="lab_tnl_BradDettmerMember_label_en-US" xlink:label="lab_tnl_BradDettmerMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Brad Dettmer [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_BradDettmerMember" xlink:href="tnl-20240322.xsd#tnl_BradDettmerMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_tnl_BradDettmerMember" xlink:to="lab_tnl_BradDettmerMember" xlink:type="arc" order="1"/>
    <link:label id="lab_tnl_NoahBrodskyMember_label_en-US" xlink:label="lab_tnl_NoahBrodskyMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Noah Brodsky [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_NoahBrodskyMember" xlink:href="tnl-20240322.xsd#tnl_NoahBrodskyMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_tnl_NoahBrodskyMember" xlink:to="lab_tnl_NoahBrodskyMember" xlink:type="arc" order="1"/>
    <link:label id="lab_tnl_IncreaseForFairValueOfAwardsGrantedDuringYearThatRemainedUnvestedAtYearEndMember_label_en-US" xlink:label="lab_tnl_IncreaseForFairValueOfAwardsGrantedDuringYearThatRemainedUnvestedAtYearEndMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Increase for fair value of awards granted during year that remained unvested at year-end [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_IncreaseForFairValueOfAwardsGrantedDuringYearThatRemainedUnvestedAtYearEndMember" xlink:href="tnl-20240322.xsd#tnl_IncreaseForFairValueOfAwardsGrantedDuringYearThatRemainedUnvestedAtYearEndMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_tnl_IncreaseForFairValueOfAwardsGrantedDuringYearThatRemainedUnvestedAtYearEndMember" xlink:to="lab_tnl_IncreaseForFairValueOfAwardsGrantedDuringYearThatRemainedUnvestedAtYearEndMember" xlink:type="arc" order="1"/>
    <link:label id="lab_tnl_IncreasedeductionForChangeInFairValueFromPriorYearEndToVestingDateOfAwardsGrantedInAnyPriorYearThatVestedDuringTheYearMember_label_en-US" xlink:label="lab_tnl_IncreasedeductionForChangeInFairValueFromPriorYearEndToVestingDateOfAwardsGrantedInAnyPriorYearThatVestedDuringTheYearMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Increase/deduction for change in fair value from prior year-end to vesting date of awards granted in any prior year that vested during the year [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_IncreasedeductionForChangeInFairValueFromPriorYearEndToVestingDateOfAwardsGrantedInAnyPriorYearThatVestedDuringTheYearMember" xlink:href="tnl-20240322.xsd#tnl_IncreasedeductionForChangeInFairValueFromPriorYearEndToVestingDateOfAwardsGrantedInAnyPriorYearThatVestedDuringTheYearMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_tnl_IncreasedeductionForChangeInFairValueFromPriorYearEndToVestingDateOfAwardsGrantedInAnyPriorYearThatVestedDuringTheYearMember" xlink:to="lab_tnl_IncreasedeductionForChangeInFairValueFromPriorYearEndToVestingDateOfAwardsGrantedInAnyPriorYearThatVestedDuringTheYearMember" xlink:type="arc" order="1"/>
  </link:labelLink>
</link:linkbase>
